body {
    margin: 0;
    overflow-y: scroll;
}

header {
    background-color: var(--secondary-color);
    border-bottom: 2px solid var(--highlight-color-1);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header h1 {
    font-family: var(--title-font);
    font-size: 3em;
    margin: 10pt;
}

.website-title {
    color: inherit;
    font-family: var(--title-font);
    font-size: 3em;
    font-weight: bold;
    text-decoration: none;
    margin: 0;

    position: absolute;
    right: 20pt;
}

#content {
    display: flex;
    justify-content: space-between;
    height: fit-content;
}

#content h1 {
    border-bottom: 2px solid var(--highlight-color-1);
    padding: 0 2px;
    width: fit-content;
}

#content h2 {
    border-bottom: 2px solid var(--highlight-color-2);
    color: var(--highlight-color-2);
    padding: 0 2px;
    width: fit-content;
}

aside {
    background-color: var(--secondary-color);
    flex: 0 0 auto;
    margin: 0;
    padding: 1em;
    width: 22em;
    min-height: 100%;
    text-align: justify;
}

.current-mission-tab h2, article h1 {
    margin-top: 0;
}

.tasks-tab ul {
    list-style-type: none;
    padding-left: 5pt;
}

.tasks-tab li {
    cursor: pointer;
    padding: 2px;
}

.tasks-tab li::before {
    content: "[  ]";
    color: var(--text-color);
    font-weight: bold;

    display: inline-block;
    margin-right: 15px;

    width: 15px;
    height: 15px;

    white-space: pre;
}

.checked {
    text-decoration: line-through;
}

.checked::before {
    content: "[x]" !important;
}

article {
    padding: 1em;
    margin: auto;
    font-size: 1.1em;
}

.mail {
    border: 1px solid var(--highlight-color-2);
    border-radius: 10px;
    margin: 1em;
    padding: 1em;

    width: 80em;
}

.info-mail-container {
    display: flex;
    border-bottom: 5px solid var(--secondary-color);
}

.info-mail {
    margin: 10px;
}

.user-mail {
    background-color: var(--secondary-color);
    border: 1px solid var(--text-color);
    border-radius: 20px;
    padding: 3px 10px;
}

.mail-content {
    font-size: 1.3em;
    padding: 10px;
    padding-bottom: 0;
    white-space: pre-wrap;
}

.pj {
    border: 1px solid var(--text-color);
    border-radius: 50px;
    padding: 2px 10px;
    width: fit-content;
}

.pj a {
    color: inherit;
    text-decoration: none;
}

